angular.module('app.conclusion', [])

//Config block that contains the state declaration
.config(function($stateProvider) {  
  $stateProvider
    .state('app.conclusion', {
    url: '/conclusion',
    views: {
      'menuContent': {
        templateUrl: 'app/preview/conclusion/conclusion.html',
        controller: 'ConclusionCtrl'
      }
    }
  });
})

.controller('ConclusionCtrl', function($scope, $rootScope, $state, $ionicModal, $ionicLoading, $timeout, $cordovaGoogleAnalytics) {
  console.log("Inside ConclusionCtrl");

  try {
    $cordovaGoogleAnalytics.trackView('Samples - Join the Challenge');
  } catch (e) {
    console.error("Error tracking Google cordovaGoogleAnalytics Join the Challenge view");
  }

  $scope.$on('$ionicView.beforeEnter', function (event, viewData) {
    viewData.enableBack = true;
  });

})