angular.module('app.fitness', [])

//Config block that contains the state declaration
.config(function($stateProvider) {  
  $stateProvider
    .state('app.fitness', {
    url: '/fitness',
    cache: false,
    views: {
      'menuContent': {
        templateUrl: 'app/preview/fitness/fitness.html',
        controller: 'FitnessCtrl'
      }
    }
  });
})

.controller('FitnessCtrl', function($scope, $rootScope, $state, $ionicModal, $ionicLoading, $timeout, $cordovaGoogleAnalytics) {
  console.log("Inside FitnessCtrl");

  $scope.$on('$ionicView.beforeEnter', function (event, viewData) {
    viewData.enableBack = true;
  });

  try {
    $cordovaGoogleAnalytics.trackView('Samples - Fitness');
  } catch (e) {
    console.error("Error tracking Google cordovaGoogleAnalytics Fitness view");
  }

  // // BUTTONS //
  // $scope.workoutbuttons = true;
  // $scope.beginner = false;
  // $scope.intermediate = false;
  // $scope.advanced = false;

  // // BEGINNER WORKOUTS //
  // $scope.plank = false;
  // $scope.pushups = false;
  // $scope.tricepdips = false;
  // $scope.reversecrunches = false;
  // $scope.sumosquats = false;

  // // INTERMEDIATE WORKOUTS //
  // $scope.toetouchcrunches = false;
  // $scope.sideplankdips = false;
  // $scope.lungetwists = false;
  // $scope.burpees = false;
  // $scope.planklifts = false;
  // $scope.bicyclecrunches = false;
  // $scope.squatjumps = false;

  // // ADVANCED WORKOUTS //
  // $scope.jumprope = false;
  // $scope.boxtaps = false;
  // $scope.weightedsquatjumps = false;
  // $scope.benchhops = false;
  // $scope.pressjacks = false;
  // $scope.plankwalkups = false;
  // $scope.lungeskips = false;

  // $scope.closeModal = function() {
  //   console.log('plank modal should close!');
  //   if ($scope.transitionTimeout) return;
  //   $scope.transitionTimeout = $timeout(function(){
  //     $scope.fireNativeTransition("right");
  //     $scope.transitionTimeout = null
  //   }, 300);
  //   $scope.modal.remove();
  // };

  // $scope.fireNativeTransition = function(direction) {
  //   window.plugins.nativepagetransitions.slide({direction: direction});
  //   window.plugins.nativepagetransitions.executePendingTransition();
  // }

  // plank
  // pushups
  // tricepdips
  // reversecrunches
  // sumosquats

  // begin BEGINNER //
  $scope.goToBeginner = function () {
    console.log('Go To Beginner Workout CLICKED!');
    try {
      $cordovaGoogleAnalytics.trackView('Samples - Fitness - Beginner');
    } catch (e) {
      console.error("Error tracking Google cordovaGoogleAnalytics Fitness Beginner View");
    }

    $state.go('app.fitnessBeginner');

    // $scope.fireNativeTransition("left");

    // $scope.workoutbuttons = false;
    // $scope.beginner = true;
    // $scope.intermediate = false;
    // $scope.advanced = false;

    // $scope.plank = false;
    // $scope.pushups = false;
    // $scope.tricepdips = false;
    // $scope.reversecrunches = false;
    // $scope.sumosquats = false;

    // $scope.toetouchcrunches = false;
    // $scope.sideplankdips = false;
    // $scope.lungetwists = false;
    // $scope.burpees = false;
    // $scope.planklifts = false;
    // $scope.bicyclecrunches = false;
    // $scope.squatjumps = false;

    // $scope.jumprope = false;
    // $scope.boxtaps = false;
    // $scope.weightedsquatjumps = false;
    // $scope.benchhops = false;
    // $scope.pressjacks = false;
    // $scope.plankwalkups = false;
    // $scope.lungeskips = false;
  }

  // $scope.plankClick = function () {
  //   console.log('plank CLICKED!');
  //   try {
  //     $cordovaGoogleAnalytics.trackView('Samples - Fitness - Beginner - Plank');
  //   } catch (e) {
  //     console.error("Error tracking Google cordovaGoogleAnalytics Fitness Beginner View");
  //   }

  //   $scope.workoutbuttons = false;
  //   $scope.beginner = true;
  //   $scope.intermediate = false;
  //   $scope.advanced = false;

  //   $scope.plank = true;
  //   $scope.pushups = false;
  //   $scope.tricepdips = false;
  //   $scope.reversecrunches = false;
  //   $scope.sumosquats = false;

  //   $scope.toetouchcrunches = false;
  //   $scope.sideplankdips = false;
  //   $scope.lungetwists = false;
  //   $scope.burpees = false;
  //   $scope.planklifts = false;
  //   $scope.bicyclecrunches = false;
  //   $scope.squatjumps = false;

  //   $scope.jumprope = false;
  //   $scope.boxtaps = false;
  //   $scope.weightedsquatjumps = false;
  //   $scope.benchhops = false;
  //   $scope.pressjacks = false;
  //   $scope.plankwalkups = false;
  //   $scope.lungeskips = false;

  //   $ionicModal.fromTemplateUrl('app/preview/fitness/modal-beginner.html', {
  //     scope: $scope,
  //     animation: 'none'
  //   }).then(function(modal) {
  //     console.log('plank modal should open!');
  //     $scope.modal = modal;
  //     $scope.fireNativeTransition("left");
  //     $scope.modal.show();
  //   });
  // }

  // $scope.pushUpsClick = function () {
  //   console.log('pushups CLICKED!');
  //   try {
  //     $cordovaGoogleAnalytics.trackView('Samples - Fitness - Beginner - Push Ups');
  //   } catch (e) {
  //     console.error("Error tracking Google cordovaGoogleAnalytics Fitness Beginner Push Ups");
  //   }

  //   $scope.workoutbuttons = false;
  //   $scope.beginner = true;
  //   $scope.intermediate = false;
  //   $scope.advanced = false;

  //   $scope.plank = false;
  //   $scope.pushups = true;
  //   $scope.tricepdips = false;
  //   $scope.reversecrunches = false;
  //   $scope.sumosquats = false;

  //   $scope.toetouchcrunches = false;
  //   $scope.sideplankdips = false;
  //   $scope.lungetwists = false;
  //   $scope.burpees = false;
  //   $scope.planklifts = false;
  //   $scope.bicyclecrunches = false;
  //   $scope.squatjumps = false;

  //   $scope.jumprope = false;
  //   $scope.boxtaps = false;
  //   $scope.weightedsquatjumps = false;
  //   $scope.benchhops = false;
  //   $scope.pressjacks = false;
  //   $scope.plankwalkups = false;
  //   $scope.lungeskips = false;

  //   $ionicModal.fromTemplateUrl('app/preview/fitness/modal-beginner.html', {
  //     scope: $scope,
  //     animation: 'none'
  //   }).then(function(modal) {
  //     console.log('pushups modal should open!');
  //     $scope.modal = modal;
  //     $scope.fireNativeTransition("left");
  //     $scope.modal.show();
  //   });
  // }

  // $scope.tricepDipsClick = function (){
  //   console.log('tricepdips CLICKED!');

  //   try {
  //     $cordovaGoogleAnalytics.trackView('Samples - Fitness - Beginner - Tricep Dips');
  //   } catch (e) {
  //     console.error("Error tracking Google cordovaGoogleAnalytics Fitness Beginner Tricep Dips");
  //   }

  //   $scope.workoutbuttons = false;
  //   $scope.beginner = true;
  //   $scope.intermediate = false;
  //   $scope.advanced = false;

  //   $scope.plank = false;
  //   $scope.pushups = false;
  //   $scope.tricepdips = true;
  //   $scope.reversecrunches = false;
  //   $scope.sumosquats = false;

  //   $scope.toetouchcrunches = false;
  //   $scope.sideplankdips = false;
  //   $scope.lungetwists = false;
  //   $scope.burpees = false;
  //   $scope.planklifts = false;
  //   $scope.bicyclecrunches = false;
  //   $scope.squatjumps = false;

  //   $scope.jumprope = false;
  //   $scope.boxtaps = false;
  //   $scope.weightedsquatjumps = false;
  //   $scope.benchhops = false;
  //   $scope.pressjacks = false;
  //   $scope.plankwalkups = false;
  //   $scope.lungeskips = false;

  //   $ionicModal.fromTemplateUrl('app/preview/fitness/modal-beginner.html', {
  //     scope: $scope,
  //     animation: 'none'
  //   }).then(function(modal) {
  //     console.log('tricepdips modal should open!');
  //     $scope.modal = modal;
  //     $scope.fireNativeTransition("left");
  //     $scope.modal.show();
  //   });
  // }

  // $scope.reverseCrunchesClick = function (){
  //   console.log('reversecrunches CLICKED!');

  //   try {
  //     $cordovaGoogleAnalytics.trackView('Samples - Fitness - Beginner - Reverse Crunches');
  //   } catch (e) {
  //     console.error("Error tracking Google cordovaGoogleAnalytics Fitness Beginner Reverse Crunches");
  //   }

  //   $scope.workoutbuttons = false;
  //   $scope.beginner = true;
  //   $scope.intermediate = false;
  //   $scope.advanced = false;

  //   $scope.plank = false;
  //   $scope.pushups = false;
  //   $scope.tricepdips = false;
  //   $scope.reversecrunches = true;
  //   $scope.sumosquats = false;

  //   $scope.toetouchcrunches = false;
  //   $scope.sideplankdips = false;
  //   $scope.lungetwists = false;
  //   $scope.burpees = false;
  //   $scope.planklifts = false;
  //   $scope.bicyclecrunches = false;
  //   $scope.squatjumps = false;

  //   $scope.jumprope = false;
  //   $scope.boxtaps = false;
  //   $scope.weightedsquatjumps = false;
  //   $scope.benchhops = false;
  //   $scope.pressjacks = false;
  //   $scope.plankwalkups = false;
  //   $scope.lungeskips = false;

  //   $ionicModal.fromTemplateUrl('app/preview/fitness/modal-beginner.html', {
  //     scope: $scope,
  //     animation: 'none'
  //   }).then(function(modal) {
  //     console.log('reversecrunches modal should open!');
  //     $scope.modal = modal;
  //     $scope.fireNativeTransition("left");
  //     $scope.modal.show();
  //   });
  // }

  // $scope.sumoSquatsClick = function (){
  //   console.log('sumosquats CLICKED!');

  //   try {
  //     $cordovaGoogleAnalytics.trackView('Samples - Fitness - Beginner - Sumo Squats');
  //   } catch (e) {
  //     console.error("Error tracking Google cordovaGoogleAnalytics Fitness Beginner Sumo Squats");
  //   }

  //   $scope.workoutbuttons = false;
  //   $scope.beginner = true;
  //   $scope.intermediate = false;
  //   $scope.advanced = false;

  //   $scope.plank = false;
  //   $scope.pushups = false;
  //   $scope.tricepdips = false;
  //   $scope.reversecrunches = false;
  //   $scope.sumosquats = true;

  //   $scope.toetouchcrunches = false;
  //   $scope.sideplankdips = false;
  //   $scope.lungetwists = false;
  //   $scope.burpees = false;
  //   $scope.planklifts = false;
  //   $scope.bicyclecrunches = false;
  //   $scope.squatjumps = false;

  //   $scope.jumprope = false;
  //   $scope.boxtaps = false;
  //   $scope.weightedsquatjumps = false;
  //   $scope.benchhops = false;
  //   $scope.pressjacks = false;
  //   $scope.plankwalkups = false;
  //   $scope.lungeskips = false;

  //   $ionicModal.fromTemplateUrl('app/preview/fitness/modal-beginner.html', {
  //     scope: $scope,
  //     animation: 'none'
  //   }).then(function(modal) {
  //     console.log('sumosquats modal should open!');
  //     $scope.modal = modal;
  //     $scope.fireNativeTransition("left");
  //     $scope.modal.show();
  //   });
  // }
  // // end BEGINNER //

  // // toetouchcrunches
  // // sideplankdips
  // // lungetwists
  // // burpees
  // // planklifts
  // // bicyclecrunches
  // // squatjumps

  // // begin INTERMEDIATE //
  $scope.goToIntermediate = function () {
    console.log('Go To Intermediate Workout CLICKED!');

    try {
      $cordovaGoogleAnalytics.trackView('Samples - Fitness - Intermediate');
    } catch (e) {
      console.error("Error tracking Google cordovaGoogleAnalytics Fitness Intermediate");
    }

    $state.go('app.fitnessIntermediate');

    // $scope.fireNativeTransition("left");

    // $scope.workoutbuttons = false;
    // $scope.beginner = false;
    // $scope.intermediate = true;
    // $scope.advanced = false;

    // $scope.plank = false;
    // $scope.pushups = false;
    // $scope.tricepdips = false;
    // $scope.reversecrunches = false;
    // $scope.sumosquats = false;

    // $scope.toetouchcrunches = false;
    // $scope.sideplankdips = false;
    // $scope.lungetwists = false;
    // $scope.burpees = false;
    // $scope.planklifts = false;
    // $scope.bicyclecrunches = false;
    // $scope.squatjumps = false;

    // $scope.jumprope = false;
    // $scope.boxtaps = false;
    // $scope.weightedsquatjumps = false;
    // $scope.benchhops = false;
    // $scope.pressjacks = false;
    // $scope.plankwalkups = false;
    // $scope.lungeskips = false;
  }

  // $scope.toeTouchCrunchesClick = function (){
  //   console.log('toetouchcrunches CLICKED!');

  //   try {
  //     $cordovaGoogleAnalytics.trackView('Samples - Fitness - Intermediate - Toe Touch Crunches');
  //   } catch (e) {
  //     console.error("Error tracking Google cordovaGoogleAnalytics Fitness Intermediate Toe Touch Crunches");
  //   }

  //   $scope.workoutbuttons = false;
  //   $scope.beginner = false;
  //   $scope.intermediate = true;
  //   $scope.advanced = false;

  //   $scope.plank = false;
  //   $scope.pushups = false;
  //   $scope.tricepdips = false;
  //   $scope.reversecrunches = false;
  //   $scope.sumosquats = false;

  //   $scope.toetouchcrunches = true;
  //   $scope.sideplankdips = false;
  //   $scope.lungetwists = false;
  //   $scope.burpees = false;
  //   $scope.planklifts = false;
  //   $scope.bicyclecrunches = false;
  //   $scope.squatjumps = false;

  //   $scope.jumprope = false;
  //   $scope.boxtaps = false;
  //   $scope.weightedsquatjumps = false;
  //   $scope.benchhops = false;
  //   $scope.pressjacks = false;
  //   $scope.plankwalkups = false;
  //   $scope.lungeskips = false;

  //   $ionicModal.fromTemplateUrl('app/preview/fitness/modal-intermediate.html', {
  //     scope: $scope,
  //     animation: 'none'
  //   }).then(function(modal) {
  //     console.log('toetouchcrunches modal should open!');
  //     $scope.modal = modal;
  //     $scope.fireNativeTransition("left");
  //     $scope.modal.show();
  //   });
  // }

  // $scope.sidePlankDipsClick = function (){
  //   console.log('sideplankdips CLICKED!');

  //   try {
  //     $cordovaGoogleAnalytics.trackView('Samples - Fitness - Intermediate - Side Plank Dips');
  //   } catch (e) {
  //     console.error("Error tracking Google cordovaGoogleAnalytics Fitness Intermediate Side Plank Dips");
  //   }

  //   $scope.workoutbuttons = false;
  //   $scope.beginner = false;
  //   $scope.intermediate = true;
  //   $scope.advanced = false;

  //   $scope.plank = false;
  //   $scope.pushups = false;
  //   $scope.tricepdips = false;
  //   $scope.reversecrunches = false;
  //   $scope.sumosquats = false;

  //   $scope.toetouchcrunches = false;
  //   $scope.sideplankdips = true;
  //   $scope.lungetwists = false;
  //   $scope.burpees = false;
  //   $scope.planklifts = false;
  //   $scope.bicyclecrunches = false;
  //   $scope.squatjumps = false;

  //   $scope.jumprope = false;
  //   $scope.boxtaps = false;
  //   $scope.weightedsquatjumps = false;
  //   $scope.benchhops = false;
  //   $scope.pressjacks = false;
  //   $scope.plankwalkups = false;
  //   $scope.lungeskips = false;

  //   $ionicModal.fromTemplateUrl('app/preview/fitness/modal-intermediate.html', {
  //     scope: $scope,
  //     animation: 'none'
  //   }).then(function(modal) {
  //     console.log('sideplankdips modal should open!');
  //     $scope.modal = modal;
  //     $scope.fireNativeTransition("left");
  //     $scope.modal.show();
  //   });
  // }

  // $scope.lungeTwistsClick = function (){
  //   console.log('lungetwists CLICKED!');

  //   try {
  //     $cordovaGoogleAnalytics.trackView('Samples - Fitness - Intermediate - Lunge Twists');
  //   } catch (e) {
  //     console.error("Error tracking Google cordovaGoogleAnalytics Fitness Intermediate Lunge Twists");
  //   }

  //   $scope.workoutbuttons = false;
  //   $scope.beginner = false;
  //   $scope.intermediate = true;
  //   $scope.advanced = false;

  //   $scope.plank = false;
  //   $scope.pushups = false;
  //   $scope.tricepdips = false;
  //   $scope.reversecrunches = false;
  //   $scope.sumosquats = false;

  //   $scope.toetouchcrunches = false;
  //   $scope.sideplankdips = false;
  //   $scope.lungetwists = true;
  //   $scope.burpees = false;
  //   $scope.planklifts = false;
  //   $scope.bicyclecrunches = false;
  //   $scope.squatjumps = false;

  //   $scope.jumprope = false;
  //   $scope.boxtaps = false;
  //   $scope.weightedsquatjumps = false;
  //   $scope.benchhops = false;
  //   $scope.pressjacks = false;
  //   $scope.plankwalkups = false;
  //   $scope.lungeskips = false;

  //   $ionicModal.fromTemplateUrl('app/preview/fitness/modal-intermediate.html', {
  //     scope: $scope,
  //     animation: 'none'
  //   }).then(function(modal) {
  //     console.log('lungetwists modal should open!');
  //     $scope.modal = modal;
  //     $scope.fireNativeTransition("left");
  //     $scope.modal.show();
  //   });
  // }

  // $scope.burpeesClick = function (){
  //   console.log('burpees CLICKED!');

  //   try {
  //     $cordovaGoogleAnalytics.trackView('Samples - Fitness - Intermediate - Burpees ');
  //   } catch (e) {
  //     console.error("Error tracking Google cordovaGoogleAnalytics Fitness Intermediate Burpees");
  //   }

  //   $scope.workoutbuttons = false;
  //   $scope.beginner = false;
  //   $scope.intermediate = true;
  //   $scope.advanced = false;

  //   $scope.plank = false;
  //   $scope.pushups = false;
  //   $scope.tricepdips = false;
  //   $scope.reversecrunches = false;
  //   $scope.sumosquats = false;

  //   $scope.toetouchcrunches = false;
  //   $scope.sideplankdips = false;
  //   $scope.lungetwists = false;
  //   $scope.burpees = true;
  //   $scope.planklifts = false;
  //   $scope.bicyclecrunches = false;
  //   $scope.squatjumps = false;

  //   $scope.jumprope = false;
  //   $scope.boxtaps = false;
  //   $scope.weightedsquatjumps = false;
  //   $scope.benchhops = false;
  //   $scope.pressjacks = false;
  //   $scope.plankwalkups = false;
  //   $scope.lungeskips = false;

  //   $ionicModal.fromTemplateUrl('app/preview/fitness/modal-intermediate.html', {
  //     scope: $scope,
  //     animation: 'none'
  //   }).then(function(modal) {
  //     console.log('burpees modal should open!');
  //     $scope.modal = modal;
  //     $scope.fireNativeTransition("left");
  //     $scope.modal.show();
  //   });
  // }

  // $scope.plankLiftsClick = function (){
  //   console.log('planklifts CLICKED!');

  //   try {
  //     $cordovaGoogleAnalytics.trackView('Samples - Fitness - Intermediate - Plank Lifts');
  //   } catch (e) {
  //     console.error("Error tracking Google cordovaGoogleAnalytics Fitness Intermediate Plank Lifts");
  //   }

  //   $scope.workoutbuttons = false;
  //   $scope.beginner = false;
  //   $scope.intermediate = true;
  //   $scope.advanced = false;

  //   $scope.plank = false;
  //   $scope.pushups = false;
  //   $scope.tricepdips = false;
  //   $scope.reversecrunches = false;
  //   $scope.sumosquats = false;

  //   $scope.toetouchcrunches = false;
  //   $scope.sideplankdips = false;
  //   $scope.lungetwists = false;
  //   $scope.burpees = false;
  //   $scope.planklifts = true;
  //   $scope.bicyclecrunches = false;
  //   $scope.squatjumps = false;

  //   $scope.jumprope = false;
  //   $scope.boxtaps = false;
  //   $scope.weightedsquatjumps = false;
  //   $scope.benchhops = false;
  //   $scope.pressjacks = false;
  //   $scope.plankwalkups = false;
  //   $scope.lungeskips = false;

  //   $ionicModal.fromTemplateUrl('app/preview/fitness/modal-intermediate.html', {
  //     scope: $scope,
  //     animation: 'none'
  //   }).then(function(modal) {
  //     console.log('planklifts modal should open!');
  //     $scope.modal = modal;
  //     $scope.fireNativeTransition("left");
  //     $scope.modal.show();
  //   });
  // }

  // $scope.bicycleCrunchesClick = function (){
  //   console.log('bicyclecrunches CLICKED!');

  //   try {
  //     $cordovaGoogleAnalytics.trackView('Samples - Fitness - Intermediate - Bicycle Crunches');
  //   } catch (e) {
  //     console.error("Error tracking Google cordovaGoogleAnalytics Fitness Intermediate Bicycle Crunches");
  //   }

  //   $scope.workoutbuttons = false;
  //   $scope.beginner = false;
  //   $scope.intermediate = true;
  //   $scope.advanced = false;

  //   $scope.plank = false;
  //   $scope.pushups = false;
  //   $scope.tricepdips = false;
  //   $scope.reversecrunches = false;
  //   $scope.sumosquats = false;

  //   $scope.toetouchcrunches = false;
  //   $scope.sideplankdips = false;
  //   $scope.lungetwists = false;
  //   $scope.burpees = false;
  //   $scope.planklifts = false;
  //   $scope.bicyclecrunches = true;
  //   $scope.squatjumps = false;

  //   $scope.jumprope = false;
  //   $scope.boxtaps = false;
  //   $scope.weightedsquatjumps = false;
  //   $scope.benchhops = false;
  //   $scope.pressjacks = false;
  //   $scope.plankwalkups = false;
  //   $scope.lungeskips = false;

  //   $ionicModal.fromTemplateUrl('app/preview/fitness/modal-intermediate.html', {
  //     scope: $scope,
  //     animation: 'none'
  //   }).then(function(modal) {
  //     console.log('bicyclecrunches modal should open!');
  //     $scope.modal = modal;
  //     $scope.fireNativeTransition("left");
  //     $scope.modal.show();
  //   });
  // }

  // $scope.squatJumpsClick = function (){
  //   console.log('squatjumps CLICKED!');

  //   try {
  //     $cordovaGoogleAnalytics.trackView('Samples - Fitness - Intermediate - Squat Jumps');
  //   } catch (e) {
  //     console.error("Error tracking Google cordovaGoogleAnalytics Fitness Intermediate Squat Jumps");
  //   }

  //   $scope.workoutbuttons = false;
  //   $scope.beginner = false;
  //   $scope.intermediate = true;
  //   $scope.advanced = false;

  //   $scope.plank = false;
  //   $scope.pushups = false;
  //   $scope.tricepdips = false;
  //   $scope.reversecrunches = false;
  //   $scope.sumosquats = false;

  //   $scope.toetouchcrunches = false;
  //   $scope.sideplankdips = false;
  //   $scope.lungetwists = false;
  //   $scope.burpees = false;
  //   $scope.planklifts = false;
  //   $scope.bicyclecrunches = false;
  //   $scope.squatjumps = true;

  //   $scope.jumprope = false;
  //   $scope.boxtaps = false;
  //   $scope.weightedsquatjumps = false;
  //   $scope.benchhops = false;
  //   $scope.pressjacks = false;
  //   $scope.plankwalkups = false;
  //   $scope.lungeskips = false;

  //   $ionicModal.fromTemplateUrl('app/preview/fitness/modal-intermediate.html', {
  //     scope: $scope,
  //     animation: 'none'
  //   }).then(function(modal) {
  //     console.log('squatjumps modal should open!');
  //     $scope.modal = modal;
  //     $scope.fireNativeTransition("left");
  //     $scope.modal.show();
  //   });
  // }

  // // end INTERMEDIATE //

  // // jumprope
  // // boxtaps
  // // weightedsquatjumps
  // // benchhops
  // // pressjacks
  // // plankwalkups
  // // lungeskips

  // // begin ADVANCED //
  $scope.goToAdvanced = function () {
    console.log('Go To Advanced Workout CLICKED!');

    try {
      $cordovaGoogleAnalytics.trackView('Samples - Fitness - Advanced');
    } catch (e) {
      console.error("Error tracking Google cordovaGoogleAnalytics Fitness Advanced");
    }

    $state.go('app.fitnessAdvanced');

    // $scope.fireNativeTransition("left");

    // $scope.workoutbuttons = false;
    // $scope.beginner = false;
    // $scope.intermediate = false;
    // $scope.advanced = true;

    // $scope.plank = false;
    // $scope.pushups = false;
    // $scope.tricepdips = false;
    // $scope.reversecrunches = false;
    // $scope.sumosquats = false;

    // $scope.toetouchcrunches = false;
    // $scope.sideplankdips = false;
    // $scope.lungetwists = false;
    // $scope.burpees = false;
    // $scope.planklifts = false;
    // $scope.bicyclecrunches = false;
    // $scope.squatjumps = false;

    // $scope.jumprope = false;
    // $scope.boxtaps = false;
    // $scope.weightedsquatjumps = false;
    // $scope.benchhops = false;
    // $scope.pressjacks = false;
    // $scope.plankwalkups = false;
    // $scope.lungeskips = false;
  }

  // $scope.jumpRopeClick = function (){
  //   console.log('jumprope CLICKED!');

  //   try {
  //     $cordovaGoogleAnalytics.trackView('Samples - Fitness - Advanced - Jump Rope');
  //   } catch (e) {
  //     console.error("Error tracking Google cordovaGoogleAnalytics Fitness Advanced Jump Rope");
  //   }

  //   $scope.workoutbuttons = false;
  //   $scope.beginner = false;
  //   $scope.intermediate = false;
  //   $scope.advanced = true;

  //   $scope.plank = false;
  //   $scope.pushups = false;
  //   $scope.tricepdips = false;
  //   $scope.reversecrunches = false;
  //   $scope.sumosquats = false;

  //   $scope.toetouchcrunches = false;
  //   $scope.sideplankdips = false;
  //   $scope.lungetwists = false;
  //   $scope.burpees = false;
  //   $scope.planklifts = false;
  //   $scope.bicyclecrunches = false;
  //   $scope.squatjumps = false;

  //   $scope.jumprope = true;
  //   $scope.boxtaps = false;
  //   $scope.weightedsquatjumps = false;
  //   $scope.benchhops = false;
  //   $scope.pressjacks = false;
  //   $scope.plankwalkups = false;
  //   $scope.lungeskips = false;

  //   $ionicModal.fromTemplateUrl('app/preview/fitness/modal-advanced.html', {
  //     scope: $scope,
  //     animation: 'none'
  //   }).then(function(modal) {
  //     console.log('jumprope modal should open!');
  //     $scope.modal = modal;
  //     $scope.fireNativeTransition("left");
  //     $scope.modal.show();
  //   });
  // }

  // $scope.boxTapsClick = function (){
  //   console.log('boxtaps CLICKED!');

  //   try {
  //     $cordovaGoogleAnalytics.trackView('Samples - Fitness - Advanced - Box Taps');
  //   } catch (e) {
  //     console.error("Error tracking Google cordovaGoogleAnalytics Fitness Advanced Box Taps");
  //   }

  //   $scope.workoutbuttons = false;
  //   $scope.beginner = false;
  //   $scope.intermediate = false;
  //   $scope.advanced = true;

  //   $scope.plank = false;
  //   $scope.pushups = false;
  //   $scope.tricepdips = false;
  //   $scope.reversecrunches = false;
  //   $scope.sumosquats = false;

  //   $scope.toetouchcrunches = false;
  //   $scope.sideplankdips = false;
  //   $scope.lungetwists = false;
  //   $scope.burpees = false;
  //   $scope.planklifts = false;
  //   $scope.bicyclecrunches = false;
  //   $scope.squatjumps = false;

  //   $scope.jumprope = false;
  //   $scope.boxtaps = true;
  //   $scope.weightedsquatjumps = false;
  //   $scope.benchhops = false;
  //   $scope.pressjacks = false;
  //   $scope.plankwalkups = false;
  //   $scope.lungeskips = false;

  //   $ionicModal.fromTemplateUrl('app/preview/fitness/modal-advanced.html', {
  //     scope: $scope,
  //     animation: 'none'
  //   }).then(function(modal) {
  //     console.log('boxtaps modal should open!');
  //     $scope.modal = modal;
  //     $scope.fireNativeTransition("left");
  //     $scope.modal.show();
  //   });
  // }

  // $scope.weightedSquatJumpsClick = function (){
  //   console.log('weightedsquatjumps CLICKED!');

  //   try {
  //     $cordovaGoogleAnalytics.trackView('Samples - Fitness - Advanced - Squat Jumps');
  //   } catch (e) {
  //     console.error("Error tracking Google cordovaGoogleAnalytics Fitness Advanced Squat Jumps");
  //   }

  //   $scope.workoutbuttons = false;
  //   $scope.beginner = false;
  //   $scope.intermediate = false;
  //   $scope.advanced = true;

  //   $scope.plank = false;
  //   $scope.pushups = false;
  //   $scope.tricepdips = false;
  //   $scope.reversecrunches = false;
  //   $scope.sumosquats = false;

  //   $scope.toetouchcrunches = false;
  //   $scope.sideplankdips = false;
  //   $scope.lungetwists = false;
  //   $scope.burpees = false;
  //   $scope.planklifts = false;
  //   $scope.bicyclecrunches = false;
  //   $scope.squatjumps = false;

  //   $scope.jumprope = false;
  //   $scope.boxtaps = false;
  //   $scope.weightedsquatjumps = true;
  //   $scope.benchhops = false;
  //   $scope.pressjacks = false;
  //   $scope.plankwalkups = false;
  //   $scope.lungeskips = false;

  //   $ionicModal.fromTemplateUrl('app/preview/fitness/modal-advanced.html', {
  //     scope: $scope,
  //     animation: 'none'
  //   }).then(function(modal) {
  //     console.log('weightedsquatjumps modal should open!');
  //     $scope.modal = modal;
  //     $scope.fireNativeTransition("left");
  //     $scope.modal.show();
  //   });
  // }

  // $scope.benchHopsClick = function (){
  //   console.log('benchhops CLICKED!');

  //   try {
  //     $cordovaGoogleAnalytics.trackView('Samples - Fitness - Advanced - Bench Hops');
  //   } catch (e) {
  //     console.error("Error tracking Google cordovaGoogleAnalytics Fitness Advanced Bench Hops");
  //   }

  //   $scope.workoutbuttons = false;
  //   $scope.beginner = false;
  //   $scope.intermediate = false;
  //   $scope.advanced = true;

  //   $scope.plank = false;
  //   $scope.pushups = false;
  //   $scope.tricepdips = false;
  //   $scope.reversecrunches = false;
  //   $scope.sumosquats = false;

  //   $scope.toetouchcrunches = false;
  //   $scope.sideplankdips = false;
  //   $scope.lungetwists = false;
  //   $scope.burpees = false;
  //   $scope.planklifts = false;
  //   $scope.bicyclecrunches = false;
  //   $scope.squatjumps = false;

  //   $scope.jumprope = false;
  //   $scope.boxtaps = false;
  //   $scope.weightedsquatjumps = false;
  //   $scope.benchhops = true;
  //   $scope.pressjacks = false;
  //   $scope.plankwalkups = false;
  //   $scope.lungeskips = false;

  //   $ionicModal.fromTemplateUrl('app/preview/fitness/modal-advanced.html', {
  //     scope: $scope,
  //     animation: 'none'
  //   }).then(function(modal) {
  //     console.log('benchhops modal should open!');
  //     $scope.modal = modal;
  //     $scope.fireNativeTransition("left");
  //     $scope.modal.show();
  //   });
  // }

  // $scope.pressJacksClick = function (){
  //   console.log('pressjacks CLICKED!');

  //   try {
  //     $cordovaGoogleAnalytics.trackView('Samples - Fitness - Advanced - Press Jacks');
  //   } catch (e) {
  //     console.error("Error tracking Google cordovaGoogleAnalytics Fitness Advanced Press Jacks");
  //   }

  //   $scope.workoutbuttons = false;
  //   $scope.beginner = false;
  //   $scope.intermediate = false;
  //   $scope.advanced = true;

  //   $scope.plank = false;
  //   $scope.pushups = false;
  //   $scope.tricepdips = false;
  //   $scope.reversecrunches = false;
  //   $scope.sumosquats = false;

  //   $scope.toetouchcrunches = false;
  //   $scope.sideplankdips = false;
  //   $scope.lungetwists = false;
  //   $scope.burpees = false;
  //   $scope.planklifts = false;
  //   $scope.bicyclecrunches = false;
  //   $scope.squatjumps = false;

  //   $scope.jumprope = false;
  //   $scope.boxtaps = false;
  //   $scope.weightedsquatjumps = false;
  //   $scope.benchhops = false;
  //   $scope.pressjacks = true;
  //   $scope.plankwalkups = false;
  //   $scope.lungeskips = false;

  //   $ionicModal.fromTemplateUrl('app/preview/fitness/modal-advanced.html', {
  //     scope: $scope,
  //     animation: 'none'
  //   }).then(function(modal) {
  //     console.log('pressjacks modal should open!');
  //     $scope.modal = modal;
  //     $scope.fireNativeTransition("left");
  //     $scope.modal.show();
  //   });
  // }

  // $scope.plankWalkUpsClick = function (){
  //   console.log('plankwalkups CLICKED!');

  //   try {
  //     $cordovaGoogleAnalytics.trackView('Samples - Fitness - Advanced - Plank Walkups');
  //   } catch (e) {
  //     console.error("Error tracking Google cordovaGoogleAnalytics Fitness Advanced Plank Walkups");
  //   }

  //   $scope.workoutbuttons = false;
  //   $scope.beginner = false;
  //   $scope.intermediate = false;
  //   $scope.advanced = true;

  //   $scope.plank = false;
  //   $scope.pushups = false;
  //   $scope.tricepdips = false;
  //   $scope.reversecrunches = false;
  //   $scope.sumosquats = false;

  //   $scope.toetouchcrunches = false;
  //   $scope.sideplankdips = false;
  //   $scope.lungetwists = false;
  //   $scope.burpees = false;
  //   $scope.planklifts = false;
  //   $scope.bicyclecrunches = false;
  //   $scope.squatjumps = false;

  //   $scope.jumprope = false;
  //   $scope.boxtaps = false;
  //   $scope.weightedsquatjumps = false;
  //   $scope.benchhops = false;
  //   $scope.pressjacks = false;
  //   $scope.plankwalkups = true;
  //   $scope.lungeskips = false;

  //   $ionicModal.fromTemplateUrl('app/preview/fitness/modal-advanced.html', {
  //     scope: $scope,
  //     animation: 'none'
  //   }).then(function(modal) {
  //     console.log('plankwalkups modal should open!');
  //     $scope.modal = modal;
  //     $scope.fireNativeTransition("left");
  //     $scope.modal.show();
  //   });
  // }

  // $scope.lungeSkipsClick = function (){
  //   console.log('lungeskips CLICKED!');

  //   try {
  //     $cordovaGoogleAnalytics.trackView('Samples - Fitness - Advanced - Lunge Skips');
  //   } catch (e) {
  //     console.error("Error tracking Google cordovaGoogleAnalytics Fitness Advanced Lunge Skips");
  //   }

  //   $scope.workoutbuttons = false;
  //   $scope.beginner = false;
  //   $scope.intermediate = false;
  //   $scope.advanced = true;

  //   $scope.plank = false;
  //   $scope.pushups = false;
  //   $scope.tricepdips = false;
  //   $scope.reversecrunches = false;
  //   $scope.sumosquats = false;

  //   $scope.toetouchcrunches = false;
  //   $scope.sideplankdips = false;
  //   $scope.lungetwists = false;
  //   $scope.burpees = false;
  //   $scope.planklifts = false;
  //   $scope.bicyclecrunches = false;
  //   $scope.squatjumps = false;

  //   $scope.jumprope = false;
  //   $scope.boxtaps = false;
  //   $scope.weightedsquatjumps = false;
  //   $scope.benchhops = false;
  //   $scope.pressjacks = false;
  //   $scope.plankwalkups = false;
  //   $scope.lungeskips = true;

  //   $ionicModal.fromTemplateUrl('app/preview/fitness/modal-advanced.html', {
  //     scope: $scope,
  //     animation: 'none'
  //   }).then(function(modal) {
  //     console.log('lungeskips modal should open!');
  //     $scope.modal = modal;
  //     $scope.fireNativeTransition("left");
  //     $scope.modal.show();
  //   });
  // }
  // // end ADVANCED //

})