angular.module('app.intro', [])

//Config block that contains the state declaration
.config(function($stateProvider) {  
  $stateProvider
    .state('app.intro', {
    url: '/intro',
    views: {
      'menuContent': {
        templateUrl: 'app/preview/intro/intro.html',
        controller: 'IntroCtrl'
      }
    }
  });
})

.controller('IntroCtrl', function($scope, $rootScope, $state, $ionicModal, $ionicLoading, $timeout, $cordovaGoogleAnalytics) {
  console.log("Inside IntroCtrl");

  try {
    $cordovaGoogleAnalytics.trackView('Samples - 5 Steps of Fit Girldom (Intro)');
  } catch (e) {
    console.error("Error tracking Google cordovaGoogleAnalytics 5 Steps of Fit Girldom (Intro)");
  }

  $scope.$on('$ionicView.beforeEnter', function (event, viewData) {
    viewData.enableBack = true;
  });

})