angular.module('app.session', ['app.services'])

//Config block that contains the state declaration
.config(function($stateProvider) {  
  $stateProvider
  .state('app.session', {
    url: "/sessions/:sessionId",
    views: {
        'menuContent': {
          templateUrl: "app/sessions/session.html",
          controller: 'SessionCtrl'
      }
    }
  });
})

.controller('SessionCtrl', function($scope, $stateParams, Session) {
    $scope.session = Session.get({sessionId: $stateParams.sessionId});
})